# $Revision: 1.6 $, $Date: 2011/10/29 12:23:27 $
%define		plugin	ssl
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Plugin for Cacti - forcing SSL access
Summary(pl.UTF-8):	Wtyczka do Cacti wymuszająca dostęp przez SSL
Name:		cacti-plugin-%{plugin}
Version:	0.1
Release:	1
License:	GPL v2
Group:		Applications/WWW
Source0:	http://mirror.cactiusers.org/downloads/plugins/%{plugin}-%{version}.tar.gz
# Source0-md5:	dd762734fe19d73c4285c23245932c28
URL:		http://www.cactiusers.org/
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti
Requires:	php-common >= 4:%{php_min_version}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		plugindir		%{cactidir}/plugins/%{plugin}

%description
This Cacti plugin forces your Cacti users to use SSL to access Cacti.
No page or graph will be viewable through regular HTTP. Make sure you
are running SSL support on your web server before enabling.

%description -l pl.UTF-8
Wtyczka do Cacti wymuszająca stosowanie SSL (szyfrowania) przy
dostępie WWW do Cacti. Żadna strona ani wykres nie będzie dostępny po
nieszyfrowanym HTTP. Przed zainstalowaniem wtyczki należy upewnić się,
że serwer WWW obsługuje SSL.

%prep
%setup -qc

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a %{plugin}/* $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{plugindir}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cacti-plugin-ssl.spec,v $
Revision 1.6  2011/10/29 12:23:27  glen
- use tgz source, php deps

Revision 1.5  2010/05/16 14:13:38  sparky
- BR: unzip

Revision 1.4  2008/10/05 11:18:07  glen
- simplify macros and cleanups

Revision 1.3  2008/01/06 21:24:01  qboosh
- summaries, descs cleanup

Revision 1.2  2007-12-26 13:06:27  glen
- cleanups

Revision 1.1  2007-12-13 13:32:39  wolvverine
- init
